Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451800 - plugin updates proceed to wrong directory
Summary: plugin updates proceed to wrong directory
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 8
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 13:57 UTC by Jonathan S. Shapiro
Modified: 2015-02-09 12:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:36:53 UTC


Attachments (Terms of Use)

Description Jonathan S. Shapiro 2008-06-17 13:57:47 UTC
I have installed eclipse-cdt-sdk and all dependencies on an F8 system. I go to
use the help/software updates/find and install option, choose "search for new
features...", and pick out a bunch of things. All update *downloads* proceed
successfully, but the *install* of those updates fails because it is attempting
to put them into /usr/share. I am running as a non-root user, so this fails.

I note in the FC7 release notes that there was at one time a patch to override
this behavior so that updates by non-root users would end up under ~/.eclipse.
Is this patch still supposed to be in place? If so, it does not appear to be
functioning in the 3.3.0-31 RPM. If the patch has been subsumed, what has
replaced this functionality so that non-root users can update?

Sorry for the bug report against F8. I would be happy to try this in F9 if F9
didn't lock up every system I have tested it on.

Comment 1 Andrew Overholt 2008-06-23 16:18:08 UTC
I cannot duplicate.  It should be defaulting to ~/.eclipse unless you're running
as root.

Can you perhaps give me the smallest set of steps you can use to reproduce this?

Comment 2 Bug Zapper 2008-11-26 10:53:05 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-01-09 06:36:53 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.